Name: notification-daemon
Version: 0.3.7
Release: alt1.1

Summary: Desktop Notification Daemon
Group: Graphical desktop/GNOME
License: GPL
URL: http://trac.galago-project.org/wiki/DesktopNotifications

Source: http://www.galago-project.org/files/releases/source/%name/%name-%version.tar.bz2

Requires: dbus >= 0.36

# From configure.ac
BuildPrereq: intltool
BuildPrereq: glib2-devel >= 2.4.0
BuildPrereq: libgtk+2-devel >= 2.4.0
BuildPrereq: libdbus-glib-devel >= 0.36
BuildPrereq: libsexy-devel >= 0.1.3
BuildPrereq: GConf2 libGConf2-devel libwnck-devel

BuildRequires: libxml2-devel

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications specification
(http://www.galago-project.org/specs/notification/index.php).

%prep
%setup -q

%build
#NOCONFIGURE=1 ./autogen.sh
autoreconf -fisv
%configure \
    --disable-schemas-install \
    --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi

%files -f %name.lang
%_libexecdir/%name
%dir %_libdir/%name-1.0
%dir %_libdir/%name-1.0/engines
%_libdir/%name-1.0/engines/*.so
%_datadir/dbus-1/services/*
%_sysconfdir/gconf/schemas/%name.schemas
%doc AUTHORS ChangeLog COPYING NEWS

%exclude %_libdir/%name-1.0/engines/*.la

%changelog
* Tue Oct 30 2007 Alexey Rusakov <ktirf@altlinux.org> 0.3.7-alt1.1
- rebuilt with libwnck2.20

* Mon Apr 02 2007 Alexey Rusakov <ktirf@altlinux.org> 0.3.7-alt1
- new version (0.3.7)
- fixed Source tag in the specfile
- updated dependencies
- added find_lang invocation, as new versions have localized strings
  (too bad, no Russian yet...)
- made files list more robust

* Wed Sep 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.5-alt2
- Run autogen.sh
- Buildreq

* Sat May 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.5-alt1.1
- Major spec cleanup
- Use Sisyphus macros for GConf schemas installation
- Updated URLs

* Thu May 04 2006 Vital Khilko <vk@altlinux.ru> 0.3.5-alt1
- 0.3.5

* Thu Feb 02 2006 Vital Khilko <vk@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Sun Sep 18 2005 Vital Khilko <vk@altlinux.ru> 0.2.1-alt1
- initial build

